YaST no longer works on SLES 10



YaST no longer works on one of our SUSE Linux Enterprise Server 10,
When I issue "Yast" I get the following error messages
"warning: the ncurses frontend is installed but does not work"
"You need to install yast2-ncurses to use the YaST2 text mode
interface"

I have reinstalled yast2-ncurses and popt but this did not help.

Can you help? please
.